Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8042159

Allow using a system-installed lcms2

    XMLWordPrintable

    Details

    • Type: Enhancement
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: 9
    • Fix Version/s: 9
    • Component/s: infrastructure
    • Labels:
    • Subcomponent:
    • Resolved In Build:
      b15

      Description

      A lot of Linux distributions prefer that programs use the system-installed version of libraries instead of bundling libraries. OpenJDK currently bundles a copy of lcms2 and uses that to build.

      It would be nice if the build system could be modified to allow building against the system installed copy of lcms2 as well as the bundled copy.

      The goal is to add a new option `--with-lcms=` with possible values `bundled` or `system`. Using `--with-lcms=system` builds using the system-installed copy of lcms2 while `--with-lcms=bundled` builds with the bundled copy of lcms2 in OpenJDK.

      Mailing list thread with discussion: http://mail.openjdk.java.net/pipermail/build-dev/2014-February/011952.html

        Attachments

          Activity

            People

            Assignee:
            omajid Omair Majid
            Reporter:
            omajid Omair Majid
            Votes:
            0 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: